Package com.sas.services.security

# Interface RemotePasswordCallbackInterface

All Superinterfaces:
  `Callback`, `Remote`, `RemoteCallbackInterface`

All Known Implementing Classes:
  `RemotePasswordCallback`

public interface RemotePasswordCallbackInterface extends RemoteCallbackInterface
Interface for a remote version of the PasswordCallback defined in the javax.security.auth.callback package.

Since:
  1.0

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `ClearPassword()`
  Clear the password stored in this object.
  `char[]`
  `getPassword()`
  Get the password provided by the user as a character array.
  `String`
  `getPrompt()`
  Get the prompt to display when asking for the password.
  `boolean`
  `isEchoOn()`
  Get the flag indicating whether to echo input.
  `void`
  `setPassword(char[] password)`
  Set the password entered by the user.

- ## Method Details

  - ### ClearPassword

    void ClearPassword() throws RemoteException
    Clear the password stored in this object. This is a security measure to be sure the password isn't laying around in memory after it's no longer needed.

    Throws:
      `RemoteException` - in the event of remote object failure.

  - ### getPassword

    char[] getPassword() throws RemoteException
    Get the password provided by the user as a character array.

    Returns:
      A character array with the password to authenticate.
    Throws:
      `RemoteException` - in the event of remote object failure.

  - ### setPassword

    void setPassword(char[] password) throws RemoteException
    Set the password entered by the user.

    Parameters:
      `password` - A character array containing the user's password.
    Throws:
      `RemoteException` - in the event of remote object failure.

  - ### getPrompt

    String getPrompt() throws RemoteException
    Get the prompt to display when asking for the password.

    Returns:
      The prompt string, or null if none was set.
    Throws:
      `RemoteException` - in the event of remote object failure.

  - ### isEchoOn

    boolean isEchoOn() throws RemoteException
    Get the flag indicating whether to echo input. This flag should be set on the constructor.

    Returns:
      The echo flag.
    Throws:
      `RemoteException` - in the event of remote object failure.